Bug 499949 - virt-convert doesn't convert correctly vmware image with Minix
Summary: virt-convert doesn't convert correctly vmware image with Minix
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-virtinst
Version: 12
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-09 12:22 UTC by Matěj Cepl
Modified: 2018-04-11 08:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-04 23:51:05 UTC
Type: ---


Attachments (Terms of Use)
generated .xml file (457 bytes, text/plain)
2009-05-09 12:22 UTC, Matěj Cepl
no flags Details
minimal machine which virsh define accepted (396 bytes, text/plain)
2009-05-09 12:27 UTC, Matěj Cepl
no flags Details
complete bootable machine (misconfigured network) (863 bytes, text/plain)
2009-05-09 12:32 UTC, Matěj Cepl
no flags Details
what is provided by virt-image (1019 bytes, text/plain)
2009-05-11 06:12 UTC, Matěj Cepl
no flags Details

Description Matěj Cepl 2009-05-09 12:22:26 UTC
Created attachment 343206 [details]
generated .xml file

Description of problem:
virt-convert provided conversion of vmware machine doesn't run.

Version-Release number of selected component (if applicable):
python-virtinst-0.400.3-8.fc11.noarch
libvirt-0.6.2-6.fc11.x86_64

How reproducible:
100%

Steps to Reproduce:
1.download http://www.minix3.org/download/minix3_1_2a_vmware.zip
2.unzip somewhere in /tmp
3.virt-convert --i vmx -o virt-image -v MS-DOS.vmx
4.copy minix/MS-DOS.raw to /var/lib/libvirt/images
5.restorecon -v -R /var/lib/libvirt
6.virsh define /tmp/minix/minix/minix.virt-image.xml

Actual results:
[root@viklef qemu]# LANG=C virsh define /tmp/minix/minix/minix.virt-image.xml
error: Failed to define domain from /tmp/minix/minix/minix.virt-image.xml
error: internal error incorrect root element


Expected results:
new domain minix happens

Additional info:

Comment 1 Matěj Cepl 2009-05-09 12:27:29 UTC
Created attachment 343207 [details]
minimal machine which virsh define accepted

Comment 2 Matěj Cepl 2009-05-09 12:32:59 UTC
Created attachment 343208 [details]
complete bootable machine (misconfigured network)

After some massaging with virt-manager I got this bootable machine, except network manager (is of course screwed up ... I don't what kind of ethernet card vmware pretends to provide).

Comment 3 Cole Robinson 2009-05-09 22:12:08 UTC
The xml output by virt-convert is intended to be passed to virt-image, not virsh. Can you try running the output through virt-image and reporting the results?

The virt-convert tool truthfully hasn't had a lot of testing, so I'd be interested in hearing what problems you might hit.

Comment 4 Matěj Cepl 2009-05-11 06:12:36 UTC
Created attachment 343312 [details]
what is provided by virt-image

Comment 5 Matěj Cepl 2009-05-11 06:14:40 UTC
yes, virt-image is sligtly better ... generated .xml runs correctly. But it is still not good enough ... what kind of Ethernet card vmware provides? I suppose it should work with that (because vmware machine is provided by minix folks themselves), but minix in kvm cannot find it.

Comment 6 Bug Zapper 2009-06-09 15:32:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2010-04-27 14:14:50 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2010-06-28 12:28:16 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Bug Zapper 2010-11-04 11:15:47 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Matěj Cepl 2010-11-04 23:51:05 UTC
It does now in F14, or maybe this was PEBKAC, anyway I was able to import vmWare appliance into virt-manager managed host.


Note You need to log in before you can comment on or make changes to this bug.